Subject: Kilauea: kernel hangs when using ARCH=powerpc

From: Bernhard Weirich <[email-masked]>
Date: Mon, 7 Apr 2008 12:03:51 +0200

Hello!

When I build the kernel for my kilauea board using ARCH=ppc everything
works fine.
Since ppc is deprecated I'd like to switch to powerpc, but if I do so
the kernel does not produce any output.
There is just the last line of the prompt from the bootloader.
In both cases I built with kilauea_defconfig

I tried the Denx ELDK (4.2) compiler 4.2.2, the toolchain generated by
Buildroot and different kernel versions from the denx repository.
The Kilauea board is Version 1.11b.

Any ideas what is going wrong?

Thanks!
Bernhard